com.informix.jdbc

## Class IfxParameterMetaData

- java.lang.Object
- - com.informix.jdbc.IfxParameterMetaData

All Implemented Interfaces:
  IfmxParameterMetaData, java.sql.ParameterMetaData, java.sql.Wrapper

    public class IfxParameterMetaData
    extends java.lang.Object
    implements IfmxParameterMetaData

### Field Summary

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Constructor Summary

Constructors
Constructor and Description
`IfxParameterMetaData()` Constructor
`IfxParameterMetaData(IfxResultSetMetaData idesc)` Constructor

### Method Summary

Methods
`int` `getParameterAlignment(int parameter)` Retrieves Parameter's Alignment.
`java.lang.String` `getParameterClassName(int param)` Retrieves the fully-qualified name of the Java class whose instances should be passed to the method PreparedStatement.setObject.
`int` `getParameterCount()` Retrieves the number of parameters in the PreparedStatement object for which this ParameterMetaData object contains information.
`int` `getParameterExtendedId(int parameter)` Retrieves Parameter's ExtendedId.
`java.lang.String` `getParameterExtendedName(int parameter)` Retrieves Parameter's ExtendedName.
`java.lang.String` `getParameterExtendedOwnerName(int parameter)` Retrieves Parameter's ExtendedOwnerName.
`int` `getParameterLength(int parameter)` Retrieves Parameter's Length.
`int` `getParameterMode(int param)` Retrieves the designated parameter's mode.
`int` `getParameterReference(int parameter)` Retrieves Parameter's Reference Type.
`int` `getParameterSourceType(int parameter)` Retrieves Parameter's SourceType.
`int` `getParameterType(int param)` Retrieves the designated parameter's SQL type.
`java.lang.String` `getParameterTypeName(int param)` Retrieves the designated parameter's database-specific type name.
`int` `getPrecision(int param)` Retrieves the designated parameter's number of decimal digits.
`int` `getScale(int param)` Retrieves the designated parameter's number of digits to right of the decimal point.
`int` `isNullable(int param)` Retrieves whether null values are allowed in the designated parameter
`boolean` `isSigned(int param)` Retrieves whether values for the designated parameter can be signed numbers.
`boolean` `isWrapperFor(java.lang.Class<?> iface)`
`void` `setidesc(IfxResultSetMetaData idesc)`
`<T> T` `unwrap(java.lang.Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxParameterMetaData

    public IfxParameterMetaData(IfxResultSetMetaData idesc)

Constructor

#### IfxParameterMetaData

    public IfxParameterMetaData()

Constructor

### Method Detail

#### setidesc

    public void setidesc(IfxResultSetMetaData idesc)

#### getParameterClassName

    public java.lang.String getParameterClassName(int param)
                                           throws java.sql.SQLException

Retrieves the fully-qualified name of the Java class whose instances should be passed to the method PreparedStatement.setObject.

Specified by:
  `getParameterClassName` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterCount

    public int getParameterCount()
                          throws java.sql.SQLException

Retrieves the number of parameters in the PreparedStatement object for which this ParameterMetaData object contains information.

Specified by:
  `getParameterCount` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterMode

    public int getParameterMode(int param)
                         throws java.sql.SQLException

Retrieves the designated parameter's mode.

Specified by:
  `getParameterMode` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterType

    public int getParameterType(int param)
                         throws java.sql.SQLException

Retrieves the designated parameter's SQL type.

Specified by:
  `getParameterType` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterTypeName

    public java.lang.String getParameterTypeName(int param)
                                          throws java.sql.SQLException

Retrieves the designated parameter's database-specific type name.

Specified by:
  `getParameterTypeName` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getPrecision

    public int getPrecision(int param)
                     throws java.sql.SQLException

Retrieves the designated parameter's number of decimal digits.

Specified by:
  `getPrecision` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getScale

    public int getScale(int param)
                 throws java.sql.SQLException

Retrieves the designated parameter's number of digits to right of the decimal point.

Specified by:
  `getScale` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### isNullable

    public int isNullable(int param)
                   throws java.sql.SQLException

Retrieves whether null values are allowed in the designated parameter

Specified by:
  `isNullable` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### isSigned

    public boolean isSigned(int param)
                     throws java.sql.SQLException

Retrieves whether values for the designated parameter can be signed numbers.

Specified by:
  `isSigned` in interface `java.sql.ParameterMetaData`
Throws:
  `java.sql.SQLException`

#### getParameterLength

    public int getParameterLength(int parameter)
                           throws java.sql.SQLException

Retrieves Parameter's Length.

Specified by:
  `getParameterLength` in interface `IfmxParameterMetaData`
Parameters:
  `parameter` - the first parameter is 1, the second is 2, ...
Returns:
  The parameter's encoded length.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParameterExtendedId

    public int getParameterExtendedId(int parameter)
                               throws java.sql.SQLException

Retrieves Parameter's ExtendedId.

Specified by:
  `getParameterExtendedId` in interface `IfmxParameterMetaData`
Returns:
  The extended id.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParameterExtendedName

    public java.lang.String getParameterExtendedName(int parameter)
                                              throws java.sql.SQLException

Retrieves Parameter's ExtendedName.

Specified by:
  `getParameterExtendedName` in interface `IfmxParameterMetaData`
Returns:
  The extended type name.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParameterExtendedOwnerName

    public java.lang.String getParameterExtendedOwnerName(int parameter)
                                                   throws java.sql.SQLException

Retrieves Parameter's ExtendedOwnerName.

Specified by:
  `getParameterExtendedOwnerName` in interface `IfmxParameterMetaData`
Returns:
  The owner name.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParameterSourceType

    public int getParameterSourceType(int parameter)
                               throws java.sql.SQLException

Retrieves Parameter's SourceType.

Specified by:
  `getParameterSourceType` in interface `IfmxParameterMetaData`
Returns:
  The source type.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParameterAlignment

    public int getParameterAlignment(int parameter)
                              throws java.sql.SQLException

Retrieves Parameter's Alignment.

Specified by:
  `getParameterAlignment` in interface `IfmxParameterMetaData`
Returns:
  The alignment.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParameterReference

    public int getParameterReference(int parameter)
                              throws java.sql.SQLException

Retrieves Parameter's Reference Type.

Specified by:
  `getParameterReference` in interface `IfmxParameterMetaData`
Returns:
  The reference type.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
             throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`